Index: lib/http_client.h
===================================================================
--- lib/http_client.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/http_client.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -28,5 +28,5 @@
    response to come back. Initially written for MS Passport authentication,
    but used for many other things now like OAuth and Twitter.
-   
+
    It's very useful for doing quick requests without blocking the whole
    program. Unfortunately it doesn't support fancy stuff like HTTP keep-
@@ -38,21 +38,19 @@
 struct http_request;
 
-typedef enum http_client_flags
-{
+typedef enum http_client_flags {
 	HTTPC_STREAMING = 1,
 	HTTPC_EOF = 2,
 	HTTPC_CHUNKED = 4,
-	
+
 	/* Let's reserve 0x1000000+ for lib users. */
 } http_client_flags_t;
 
 /* Your callback function should look like this: */
-typedef void (*http_input_function)( struct http_request * );
+typedef void (*http_input_function)(struct http_request *);
 
 /* This structure will be filled in by the http_dorequest* functions, and
    it will be passed to the callback function. Use the data field to add
    your own data. */
-struct http_request
-{
+struct http_request {
 	char *request;          /* The request to send to the server. */
 	int request_length;     /* Its size. */
@@ -65,23 +63,23 @@
 	short redir_ttl;        /* You can set it to 0 if you don't want
 	                           http_client to follow them. */
-	
+
 	http_client_flags_t flags;
-	
+
 	http_input_function func;
 	gpointer data;
-	
+
 	/* Please don't touch the things down here, you shouldn't need them. */
 	void *ssl;
 	int fd;
-	
+
 	int inpa;
 	int bytes_written;
 	int bytes_read;
 	int content_length;     /* "Content-Length:" header or -1 */
-	
+
 	/* Used in streaming mode. Caller should read from reply_body. */
 	char *sbuf;
 	size_t sblen;
-	
+
 	/* Chunked encoding only. Raw chunked stream is decoded from here. */
 	char *cbuf;
@@ -93,8 +91,9 @@
    you want to add some extra headers. As you can see, HTTPS connections
    are also supported (using ssl_client). */
-struct http_request *http_dorequest( char *host, int port, int ssl, char *request, http_input_function func, gpointer data );
-struct http_request *http_dorequest_url( char *url_string, http_input_function func, gpointer data );
+struct http_request *http_dorequest(char *host, int port, int ssl, char *request, http_input_function func,
+                                    gpointer data);
+struct http_request *http_dorequest_url(char *url_string, http_input_function func, gpointer data);
 
 /* For streaming connections only; flushes len bytes at the start of the buffer. */
-void http_flush_bytes( struct http_request *req, size_t len );
-void http_close( struct http_request *req );
+void http_flush_bytes(struct http_request *req, size_t len);
+void http_close(struct http_request *req);
Index: lib/ini.c
===================================================================
--- lib/ini.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/ini.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -26,31 +26,31 @@
 #include "bitlbee.h"
 
-ini_t *ini_open( char *file )
+ini_t *ini_open(char *file)
 {
 	int fd;
 	ini_t *ini = NULL;
 	struct stat fi;
-	
-	if( ( fd = open( file, O_RDONLY ) ) != -1 &&
-	    fstat( fd, &fi ) == 0 &&
+
+	if ((fd = open(file, O_RDONLY)) != -1 &&
+	    fstat(fd, &fi) == 0 &&
 	    fi.st_size <= 16384 &&
-	    ( ini = g_malloc( sizeof( ini_t ) + fi.st_size + 1 ) ) &&
-	    read( fd, ini->file, fi.st_size ) == fi.st_size )
-	{
-		memset( ini, 0, sizeof( ini_t ) );
+	    (ini = g_malloc(sizeof(ini_t) + fi.st_size + 1)) &&
+	    read(fd, ini->file, fi.st_size) == fi.st_size) {
+		memset(ini, 0, sizeof(ini_t));
 		ini->size = fi.st_size;
 		ini->file[ini->size] = 0;
 		ini->cur = ini->file;
 		ini->c_section = "";
-		
-		close( fd );
-		
+
+		close(fd);
+
 		return ini;
 	}
 
-	if( fd >= 0 )
-		close( fd );
-	
-	ini_close( ini );
+	if (fd >= 0) {
+		close(fd);
+	}
+
+	ini_close(ini);
 
 	return NULL;
@@ -59,74 +59,66 @@
 /* Strips leading and trailing whitespace and returns a pointer to the first
    non-ws character of the given string. */
-static char *ini_strip_whitespace( char *in )
+static char *ini_strip_whitespace(char *in)
 {
 	char *e;
 
-	while( g_ascii_isspace( *in ) )
+	while (g_ascii_isspace(*in)) {
 		in++;
+	}
 
-	e = in + strlen( in ) - 1;
-	while( e > in && g_ascii_isspace( *e ) )
+	e = in + strlen(in) - 1;
+	while (e > in && g_ascii_isspace(*e)) {
 		e--;
+	}
 	e[1] = 0;
-	
+
 	return in;
 }
 
-int ini_read( ini_t *file )
+int ini_read(ini_t *file)
 {
 	char *s;
-	
-	while( file->cur && file->cur < file->file + file->size )
-	{
+
+	while (file->cur && file->cur < file->file + file->size) {
 		char *e, *next;
-		
+
 		file->line++;
 
 		/* Find the end of line */
-		if( ( e = strchr( file->cur, '\n' ) ) != NULL )
-		{
+		if ((e = strchr(file->cur, '\n')) != NULL) {
 			*e = 0;
 			next = e + 1;
-		}
-		else
-		{
+		} else {
 			/* No more lines. */
-			e = file->cur + strlen( file->cur );
+			e = file->cur + strlen(file->cur);
 			next = NULL;
 		}
-		
+
 		/* Comment? */
-		if( ( s = strchr( file->cur, '#' ) ) != NULL )
+		if ((s = strchr(file->cur, '#')) != NULL) {
 			*s = 0;
-		
-		file->cur = ini_strip_whitespace( file->cur );
-		
-		if( *file->cur == '[' )
-		{
+		}
+
+		file->cur = ini_strip_whitespace(file->cur);
+
+		if (*file->cur == '[') {
 			file->cur++;
-			if( ( s = strchr( file->cur, ']' ) ) != NULL )
-			{
+			if ((s = strchr(file->cur, ']')) != NULL) {
 				*s = 0;
 				file->c_section = file->cur;
 			}
-		}
-		else if( ( s = strchr( file->cur, '=' ) ) != NULL )
-		{
+		} else if ((s = strchr(file->cur, '=')) != NULL) {
 			*s = 0;
-			file->key = ini_strip_whitespace( file->cur );
-			file->value = ini_strip_whitespace( s + 1 );
-			
-			if( ( s = strchr( file->key, '.' ) ) != NULL )
-			{
+			file->key = ini_strip_whitespace(file->cur);
+			file->value = ini_strip_whitespace(s + 1);
+
+			if ((s = strchr(file->key, '.')) != NULL) {
 				*s = 0;
 				file->section = file->key;
 				file->key = s + 1;
-			}
-			else
-			{
+			} else {
 				file->section = file->c_section;
 			}
-			
+
 			file->cur = next;
 			return 1;
@@ -136,10 +128,10 @@
 		file->cur = next;
 	}
-	
+
 	return 0;
 }
 
-void ini_close( ini_t *file )
+void ini_close(ini_t *file)
 {
-	g_free( file );
+	g_free(file);
 }
Index: lib/ini.h
===================================================================
--- lib/ini.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/ini.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -27,6 +27,5 @@
 #define _INI_H
 
-typedef struct
-{
+typedef struct {
 	int line;
 	char *c_section;
@@ -39,7 +38,7 @@
 } ini_t;
 
-ini_t *ini_open( char *file );
-int ini_read( ini_t *file );
-void ini_close( ini_t *file );
+ini_t *ini_open(char *file);
+int ini_read(ini_t *file);
+void ini_close(ini_t *file);
 
 #endif
Index: lib/json.c
===================================================================
--- lib/json.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/json.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -39,7 +39,7 @@
 
 #ifdef __cplusplus
-   const struct _json_value json_value_none; /* zero-d by ctor */
+const struct _json_value json_value_none;    /* zero-d by ctor */
 #else
-   const struct _json_value json_value_none = { 0 };
+const struct _json_value json_value_none = { 0 };
 #endif
 
